package com.uas.search.sort;

import java.io.IOException;

import org.apache.lucene.search.FieldComparator;
import org.apache.lucene.search.FieldComparatorSource;

/**
 * 用于联想词的排序
 * 
 * @author sunyj
 * @since 2017年7月3日 下午4:28:03
 */
public class SimilarValuesFieldComparatorSource extends FieldComparatorSource {
	@Override
	public FieldComparator<?> newComparator(String fieldname, int numHits, int sortPos, boolean reversed)
			throws IOException {
		return new SimilarValuesFieldComparator(fieldname, numHits);
	}
}
